@echo off
 echo Making Movies on Your PC - Demonstration Files
 if "%1"=="" goto error1
 if "%2"=="" goto error1
 if "%1"=="A:" goto firstok
 if "%1"=="B:" goto firstok
 if "%1"=="C:" goto firstok
 if "%1"=="D:" goto firstok
 if "%1"=="E:" goto firstok
 if "%1"=="F:" goto firstok
 if "%1"=="G:" goto firstok
 if "%1"=="H:" goto firstok
 if "%1"=="I:" goto firstok
 if "%1"=="J:" goto firstok
 if "%1"=="K:" goto firstok
 if "%1"=="L:" goto firstok
 if "%1"=="M:" goto firstok
 if "%1"=="N:" goto firstok
 if "%1"=="O:" goto firstok
 if "%1"=="P:" goto firstok
 if "%1"=="Q:" goto firstok
 if "%1"=="R:" goto firstok
 if "%1"=="S:" goto firstok
 if "%1"=="T:" goto firstok
 if "%1"=="U:" goto firstok
 if "%1"=="V:" goto firstok
 if "%1"=="W:" goto firstok
 if "%1"=="X:" goto firstok
 if "%1"=="Y:" goto firstok
 if "%1"=="Z:" goto firstok
 if "%1"=="a:" goto firstok
 if "%1"=="b:" goto firstok
 if "%1"=="c:" goto firstok
 if "%1"=="d:" goto firstok
 if "%1"=="e:" goto firstok
 if "%1"=="f:" goto firstok
 if "%1"=="g:" goto firstok
 if "%1"=="h:" goto firstok
 if "%1"=="i:" goto firstok
 if "%1"=="j:" goto firstok
 if "%1"=="k:" goto firstok
 if "%1"=="l:" goto firstok
 if "%1"=="m:" goto firstok
 if "%1"=="n:" goto firstok
 if "%1"=="o:" goto firstok
 if "%1"=="p:" goto firstok
 if "%1"=="q:" goto firstok
 if "%1"=="r:" goto firstok
 if "%1"=="s:" goto firstok
 if "%1"=="t:" goto firstok
 if "%1"=="u:" goto firstok
 if "%1"=="v:" goto firstok
 if "%1"=="w:" goto firstok
 if "%1"=="x:" goto firstok
 if "%1"=="y:" goto firstok
 if "%1"=="z:" goto firstok
 goto error2
:firstok
 if "%2"=="A:" goto doit
 if "%2"=="B:" goto doit
 if "%2"=="C:" goto doit
 if "%2"=="D:" goto doit
 if "%2"=="E:" goto doit
 if "%2"=="F:" goto doit
 if "%2"=="G:" goto doit
 if "%2"=="H:" goto doit
 if "%2"=="I:" goto doit
 if "%2"=="J:" goto doit
 if "%2"=="K:" goto doit
 if "%2"=="L:" goto doit
 if "%2"=="M:" goto doit
 if "%2"=="N:" goto doit
 if "%2"=="O:" goto doit
 if "%2"=="P:" goto doit
 if "%2"=="Q:" goto doit
 if "%2"=="R:" goto doit
 if "%2"=="S:" goto doit
 if "%2"=="T:" goto doit
 if "%2"=="U:" goto doit
 if "%2"=="V:" goto doit
 if "%2"=="W:" goto doit
 if "%2"=="X:" goto doit
 if "%2"=="Y:" goto doit
 if "%2"=="Z:" goto doit
 if "%2"=="a:" goto doit
 if "%2"=="b:" goto doit
 if "%2"=="c:" goto doit
 if "%2"=="d:" goto doit
 if "%2"=="e:" goto doit
 if "%2"=="f:" goto doit
 if "%2"=="g:" goto doit
 if "%2"=="h:" goto doit
 if "%2"=="i:" goto doit
 if "%2"=="j:" goto doit
 if "%2"=="k:" goto doit
 if "%2"=="l:" goto doit
 if "%2"=="m:" goto doit
 if "%2"=="n:" goto doit
 if "%2"=="o:" goto doit
 if "%2"=="p:" goto doit
 if "%2"=="q:" goto doit
 if "%2"=="r:" goto doit
 if "%2"=="s:" goto doit
 if "%2"=="t:" goto doit
 if "%2"=="u:" goto doit
 if "%2"=="v:" goto doit
 if "%2"=="w:" goto doit
 if "%2"=="x:" goto doit
 if "%2"=="y:" goto doit
 if "%2"=="z:" goto doit
 goto error3
:doit
 %2
 md %2\movies
 cd %2\movies
 %1\lha x %1\movidemo
 echo Demonstration files successfully installed.
 goto alldone
:error1
 echo Error. You must enter the letters of the source (floppy)
 echo   drive and the destination drive, like this:
 echo     a:dinstall a: c:
 goto alldone
:error2
 echo Error.  "%1" is an invalid drive specification.
 goto alldone
:error3
 echo Error.  "%2" is an invalid drive specification.
:alldone
